## monit 5.11

=== libmonit/test/Makefile ===
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# test/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libmonit
pkgincludedir = $(includedir)/libmonit
pkglibdir = $(libdir)/libmonit
pkglibexecdir = $(libexecdir)/libmonit
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-apple-darwin14.0.0
host_triplet = x86_64-apple-darwin14.0.0
noinst_PROGRAMS = StrTest$(EXEEXT) SystemTest$(EXEEXT) \
	ListTest$(EXEEXT) DirTest$(EXEEXT) StringBufferTest$(EXEEXT) \
	InputStreamTest$(EXEEXT) OutputStreamTest$(EXEEXT) \
	FileTest$(EXEEXT) ExceptionTest$(EXEEXT) NetTest$(EXEEXT) \
	TimeTest$(EXEEXT) CommandTest$(EXEEXT)
subdir = test
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/xconfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_CommandTest_OBJECTS = CommandTest.$(OBJEXT)
CommandTest_OBJECTS = $(am_CommandTest_OBJECTS)
CommandTest_LDADD = $(LDADD)
CommandTest_DEPENDENCIES = ../libmonit.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
am_DirTest_OBJECTS = DirTest.$(OBJEXT)
DirTest_OBJECTS = $(am_DirTest_OBJECTS)
DirTest_LDADD = $(LDADD)
DirTest_DEPENDENCIES = ../libmonit.la
am_ExceptionTest_OBJECTS = ExceptionTest.$(OBJEXT)
ExceptionTest_OBJECTS = $(am_ExceptionTest_OBJECTS)
ExceptionTest_LDADD = $(LDADD)
ExceptionTest_DEPENDENCIES = ../libmonit.la
am_FileTest_OBJECTS = FileTest.$(OBJEXT)
FileTest_OBJECTS = $(am_FileTest_OBJECTS)
FileTest_LDADD = $(LDADD)
FileTest_DEPENDENCIES = ../libmonit.la
am_InputStreamTest_OBJECTS = InputStreamTest.$(OBJEXT)
InputStreamTest_OBJECTS = $(am_InputStreamTest_OBJECTS)
InputStreamTest_LDADD = $(LDADD)
InputStreamTest_DEPENDENCIES = ../libmonit.la
am_ListTest_OBJECTS = ListTest.$(OBJEXT)
ListTest_OBJECTS = $(am_ListTest_OBJECTS)
ListTest_LDADD = $(LDADD)
ListTest_DEPENDENCIES = ../libmonit.la
am_NetTest_OBJECTS = NetTest.$(OBJEXT)
NetTest_OBJECTS = $(am_NetTest_OBJECTS)
NetTest_LDADD = $(LDADD)
NetTest_DEPENDENCIES = ../libmonit.la
am_OutputStreamTest_OBJECTS = OutputStreamTest.$(OBJEXT)
OutputStreamTest_OBJECTS = $(am_OutputStreamTest_OBJECTS)
OutputStreamTest_LDADD = $(LDADD)
OutputStreamTest_DEPENDENCIES = ../libmonit.la
am_StrTest_OBJECTS = StrTest.$(OBJEXT)
StrTest_OBJECTS = $(am_StrTest_OBJECTS)
StrTest_LDADD = $(LDADD)
StrTest_DEPENDENCIES = ../libmonit.la
am_StringBufferTest_OBJECTS = StringBufferTest.$(OBJEXT)
StringBufferTest_OBJECTS = $(am_StringBufferTest_OBJECTS)
StringBufferTest_LDADD = $(LDADD)
StringBufferTest_DEPENDENCIES = ../libmonit.la
am_SystemTest_OBJECTS = SystemTest.$(OBJEXT)
SystemTest_OBJECTS = $(am_SystemTest_OBJECTS)
SystemTest_LDADD = $(LDADD)
SystemTest_DEPENDENCIES = ../libmonit.la
am_TimeTest_OBJECTS = TimeTest.$(OBJEXT)
TimeTest_OBJECTS = $(am_TimeTest_OBJECTS)
TimeTest_LDADD = $(LDADD)
TimeTest_DEPENDENCIES = ../libmonit.la
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)/src
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(CommandTest_SOURCES) $(DirTest_SOURCES) \
	$(ExceptionTest_SOURCES) $(FileTest_SOURCES) \
	$(InputStreamTest_SOURCES) $(ListTest_SOURCES) \
	$(NetTest_SOURCES) $(OutputStreamTest_SOURCES) \
	$(StrTest_SOURCES) $(StringBufferTest_SOURCES) \
	$(SystemTest_SOURCES) $(TimeTest_SOURCES)
DIST_SOURCES = $(CommandTest_SOURCES) $(DirTest_SOURCES) \
	$(ExceptionTest_SOURCES) $(FileTest_SOURCES) \
	$(InputStreamTest_SOURCES) $(ListTest_SOURCES) \
	$(NetTest_SOURCES) $(OutputStreamTest_SOURCES) \
	$(StrTest_SOURCES) $(StringBufferTest_SOURCES) \
	$(SystemTest_SOURCES) $(TimeTest_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/monit/libmonit/config/missing aclocal-1.14
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /tmp/monit/libmonit/config/missing autoconf
AUTOHEADER = ${SHELL} /tmp/monit/libmonit/config/missing autoheader
AUTOMAKE = ${SHELL} /tmp/monit/libmonit/config/missing automake-1.14
AWK = awk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -Wno-address -Wno-pointer-sign -g -O2 -DREENTRANT -Wall -Wunused -Wno-unused-label -funsigned-char -D_GNU_SOURCE -std=c99
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = dsymutil
DUMPBIN = 
ECHO_C = \c
ECHO_N = 
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
INSTALL = /opt/local/bin/ginstall -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = lipo
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /tmp/monit/libmonit/config/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /opt/local/bin/gmkdir -p
NM = /usr/bin/nm
NMEDIT = nmedit
OBJDUMP = false
OBJEXT = o
OTOOL = otool
OTOOL64 = :
PACKAGE = libmonit
PACKAGE_BUGREPORT = monit-dev@tildeslash.com
PACKAGE_NAME = libmonit
PACKAGE_STRING = libmonit 1.0
PACKAGE_TARNAME = libmonit
PACKAGE_URL = 
PACKAGE_VERSION = 1.0
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.0
abs_builddir = /tmp/monit/libmonit/test
abs_srcdir = /tmp/monit/libmonit/test
abs_top_builddir = /tmp/monit/libmonit
abs_top_srcdir = /tmp/monit/libmonit
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-apple-darwin14.0.0
build_alias = 
build_cpu = x86_64
build_os = darwin14.0.0
build_vendor = apple
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-apple-darwin14.0.0
host_alias = 
host_cpu = x86_64
host_os = darwin14.0.0
host_vendor = apple
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/monit/libmonit/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
AUTOMAKE_OPTIONS = foreign no-dependencies
LDADD = ../libmonit.la
AM_CPPFLAGS = -I../src/ -I../src/util -I../src/net -I../src/io -I../src/exceptions -I../src/thread 
StrTest_SOURCES = StrTest.c
CommandTest_SOURCES = CommandTest.c
SystemTest_SOURCES = SystemTest.c
ListTest_SOURCES = ListTest.c
DirTest_SOURCES = DirTest.c
StringBufferTest_SOURCES = StringBufferTest.c
InputStreamTest_SOURCES = InputStreamTest.c
OutputStreamTest_SOURCES = OutputStreamTest.c
FileTest_SOURCES = FileTest.c
ExceptionTest_SOURCES = ExceptionTest.c
NetTest_SOURCES = NetTest.c
TimeTest_SOURCES = TimeTest.c
DISTCLEANFILES = *~ 
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \

=== debian/changelog ===
monit (1:5.11-1) unstable; urgency=medium

  * Imported Upstream version 5.11
  * Refresh patches
  * Comment for rsyslog plugin (Closes: #771322).

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sun, 28 Dec 2014 17:32:53 +0300

monit (1:5.10-1) unstable; urgency=medium

  * Imported Upstream version 5.10
  * Refresh patches

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 03 Nov 2014 01:54:51 +0300

monit (1:5.9-2) unstable; urgency=medium

  * Bump up Standards-Version (to 3.9.6)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 25 Oct 2014 18:03:03 +0400

## monit 5.14

=== debian/changelog ===
monit (1:5.14-2) unstable; urgency=medium

  * Try to fix FTBFS on kfreebsd

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 15 Jul 2015 12:48:33 +0300

monit (1:5.14-1) unstable; urgency=medium

  * Imported Upstream version 5.14

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 09 Jun 2015 16:52:39 +0300

monit (1:5.13-1) unstable; urgency=medium

  * Imported Upstream version 5.13

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sun, 17 May 2015 02:01:20 +0300

monit (1:5.12.2-1) unstable; urgency=medium

  * Imported Upstream version 5.12.2

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 14 Apr 2015 16:43:20 +0300

monit (1:5.12.1-1) unstable; urgency=medium

  * Correct HURD patch
  * Imported Upstream version 5.12.1

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 16 Mar 2015 20:03:39 +0300

monit (1:5.12-1) unstable; urgency=medium

  * Imported Upstream version 5.12
  * Refresh patches
  * Try to add network support for HURD

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 05 Mar 2015 13:02:49 +0300

## monit 5.16

=== libmonit/test/Makefile ===
--- 
+++ 
@@ -76,13 +76,13 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = x86_64-apple-darwin14.0.0
-host_triplet = x86_64-apple-darwin14.0.0
+build_triplet = x86_64-unknown-linux-gnu
+host_triplet = x86_64-unknown-linux-gnu
 noinst_PROGRAMS = StrTest$(EXEEXT) SystemTest$(EXEEXT) \
 	ListTest$(EXEEXT) DirTest$(EXEEXT) StringBufferTest$(EXEEXT) \
 	InputStreamTest$(EXEEXT) OutputStreamTest$(EXEEXT) \
 	FileTest$(EXEEXT) ExceptionTest$(EXEEXT) NetTest$(EXEEXT) \
-	TimeTest$(EXEEXT) CommandTest$(EXEEXT)
+	LinkTest$(EXEEXT) TimeTest$(EXEEXT) CommandTest$(EXEEXT)
 subdir = test
 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -121,6 +121,10 @@
 InputStreamTest_OBJECTS = $(am_InputStreamTest_OBJECTS)
 InputStreamTest_LDADD = $(LDADD)
 InputStreamTest_DEPENDENCIES = ../libmonit.la
+am_LinkTest_OBJECTS = LinkTest.$(OBJEXT)
+LinkTest_OBJECTS = $(am_LinkTest_OBJECTS)
+LinkTest_LDADD = $(LDADD)
+LinkTest_DEPENDENCIES = ../libmonit.la
 am_ListTest_OBJECTS = ListTest.$(OBJEXT)
 ListTest_OBJECTS = $(am_ListTest_OBJECTS)
 ListTest_LDADD = $(LDADD)
@@ -184,16 +188,18 @@
 am__v_CCLD_1 = 
 SOURCES = $(CommandTest_SOURCES) $(DirTest_SOURCES) \
 	$(ExceptionTest_SOURCES) $(FileTest_SOURCES) \
-	$(InputStreamTest_SOURCES) $(ListTest_SOURCES) \
-	$(NetTest_SOURCES) $(OutputStreamTest_SOURCES) \
-	$(StrTest_SOURCES) $(StringBufferTest_SOURCES) \
-	$(SystemTest_SOURCES) $(TimeTest_SOURCES)
+	$(InputStreamTest_SOURCES) $(LinkTest_SOURCES) \
+	$(ListTest_SOURCES) $(NetTest_SOURCES) \
+	$(OutputStreamTest_SOURCES) $(StrTest_SOURCES) \
+	$(StringBufferTest_SOURCES) $(SystemTest_SOURCES) \
+	$(TimeTest_SOURCES)
 DIST_SOURCES = $(CommandTest_SOURCES) $(DirTest_SOURCES) \
 	$(ExceptionTest_SOURCES) $(FileTest_SOURCES) \
-	$(InputStreamTest_SOURCES) $(ListTest_SOURCES) \
-	$(NetTest_SOURCES) $(OutputStreamTest_SOURCES) \
-	$(StrTest_SOURCES) $(StringBufferTest_SOURCES) \
-	$(SystemTest_SOURCES) $(TimeTest_SOURCES)
+	$(InputStreamTest_SOURCES) $(LinkTest_SOURCES) \
+	$(ListTest_SOURCES) $(NetTest_SOURCES) \
+	$(OutputStreamTest_SOURCES) $(StrTest_SOURCES) \
+	$(StringBufferTest_SOURCES) $(SystemTest_SOURCES) \
+	$(TimeTest_SOURCES)
 am__can_run_installinfo = \
   case $$AM_UPDATE_INFO_DIR in \
     n|no|NO) false;; \
@@ -226,47 +232,47 @@
 AUTOCONF = ${SHELL} /tmp/monit/libmonit/config/missing autoconf
 AUTOHEADER = ${SHELL} /tmp/monit/libmonit/config/missing autoheader
 AUTOMAKE = ${SHELL} /tmp/monit/libmonit/config/missing automake-1.14
-AWK = awk
+AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=none
-CFLAGS = -Wno-address -Wno-pointer-sign -g -O2 -DREENTRANT -Wall -Wunused -Wno-unused-label -funsigned-char -D_GNU_SOURCE -std=c99
+CFLAGS = -Wno-address -Wno-pointer-sign -g -O2 -D _REENTRANT -Wall -Wunused -Wno-unused-label -funsigned-char -D_GNU_SOURCE -std=c99
 CPP = gcc -E
 CPPFLAGS = 
 CYGPATH_W = echo
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
 DLLTOOL = false
-DSYMUTIL = dsymutil
+DSYMUTIL = 
 DUMPBIN = 
-ECHO_C = \c
-ECHO_N = 
+ECHO_C = 
+ECHO_N = -n
 ECHO_T = 
-EGREP = /usr/bin/grep -E
+EGREP = /bin/grep -E
 EXEEXT = 
-FGREP = /usr/bin/grep -F
-GREP = /usr/bin/grep
-INSTALL = /opt/local/bin/ginstall -c
+FGREP = /bin/grep -F
+GREP = /bin/grep
+INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-LD = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/ld
+LD = /usr/bin/ld -m elf_x86_64
 LDFLAGS = 
 LIBOBJS = 
-LIBS = -lpthread 
+LIBS = -lm -lpthread 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
-LIPO = lipo
+LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
 MAKEINFO = ${SHELL} /tmp/monit/libmonit/config/missing makeinfo
 MANIFEST_TOOL = :
-MKDIR_P = /opt/local/bin/gmkdir -p
-NM = /usr/bin/nm
-NMEDIT = nmedit
-OBJDUMP = false
+MKDIR_P = /bin/mkdir -p
+NM = /usr/bin/nm -B
+NMEDIT = 
+OBJDUMP = objdump
 OBJEXT = o
-OTOOL = otool
-OTOOL64 = :
+OTOOL = 
+OTOOL64 = 
 PACKAGE = libmonit
 PACKAGE_BUGREPORT = monit-dev@tildeslash.com
 PACKAGE_NAME = libmonit
@@ -276,10 +282,11 @@
 PACKAGE_VERSION = 1.0
 PATH_SEPARATOR = :
 RANLIB = ranlib
-SED = /usr/bin/sed
+SED = /bin/sed
 SET_MAKE = 
-SHELL = /bin/sh
+SHELL = /bin/bash
 STRIP = strip
+UNIT_TEST = test
 VERSION = 1.0
 abs_builddir = /tmp/monit/libmonit/test
 abs_srcdir = /tmp/monit/libmonit/test
@@ -294,22 +301,22 @@
 am__tar = $${TAR-tar} chof - "$$tardir"
 am__untar = $${TAR-tar} xf -
 bindir = ${exec_prefix}/bin
-build = x86_64-apple-darwin14.0.0
+build = x86_64-unknown-linux-gnu
 build_alias = 
 build_cpu = x86_64
-build_os = darwin14.0.0
-build_vendor = apple
+build_os = linux-gnu
+build_vendor = unknown
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = x86_64-apple-darwin14.0.0
+host = x86_64-unknown-linux-gnu
 host_alias = 
 host_cpu = x86_64
-host_os = darwin14.0.0
-host_vendor = apple
+host_os = linux-gnu
+host_vendor = unknown
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
@@ -347,11 +354,6 @@
 FileTest_SOURCES = FileTest.c
 ExceptionTest_SOURCES = ExceptionTest.c
 NetTest_SOURCES = NetTest.c
+LinkTest_SOURCES = LinkTest.c
 TimeTest_SOURCES = TimeTest.c
 DISTCLEANFILES = *~ 
-all: all-am
-
-.SUFFIXES:
-.SUFFIXES: .c .lo .o .obj
-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
-	@for dep in $?; do \

=== system/packages/freebsd/Makefile ===
# New ports collection makefile for:   monit
# Date created:        11 Januar 2006
# Whom:                Martin Pala <martinp@tildeslash.com>
#
# $FreeBSD$
#

PORTNAME=		monit
PORTVERSION=		4.9
CATEGORIES=		sysutils
MASTER_SITES=		http://www.tildeslash.com/monit/dist/

MAINTAINER=		martinp@tildeslash.com
COMMENT=		Unix system management and monitoring

MAN1=			monit.1

GNU_CONFIGURE=		yes
USE_GMAKE=		yes
USE_BISON=		yes
USE_RC_SUBR=		yes

CONFIGURE_ENV=		CC="${CC}" CPPFLAGS="${CPPFLAGS}" \
			CFLAGS="${CFLAGS}" \
			LDFLAGS="${LDFLAGS}" CONFIG_SHELL="${SH}" \
			LOCALBASE="${LOCALBASE}"

OPTIONS=		SSL "Enable SSL support" on

PLIST_FILES=		bin/monit \
			etc/monitrc.sample \
			etc/rc.d/monit.sh \
			share/doc/monit/CHANGES.txt \
			share/doc/monit/LICENSE \
			share/doc/monit/README \
			share/doc/monit/README.SSL \
			share/doc/monit/STATUS \
			share/doc/monit/examples.html \
			share/doc/monit/monit.html
PLIST_DIRS=		share/doc/monit

.include <bsd.port.pre.mk>

pre-install:
	@${SED} -e 's|%%PREFIX%%|${PREFIX}|g' \
		-e 's|%%RC_SUBR%%|${RC_SUBR}|g' \
		${FILESDIR}/monit.sh > ${WRKDIR}/monit.sh

post-install:
	@${INSTALL_SCRIPT} -m 755 ${WRKDIR}/monit.sh ${PREFIX}/etc/rc.d/monit.sh
	@${INSTALL_SCRIPT} -m 600 ${WRKDIR}/${DISTNAME}/monitrc ${PREFIX}/etc/monitrc.sample
	${MKDIR} ${DOCSDIR}
	@${INSTALL_SCRIPT} -m 644 ${WRKDIR}/${DISTNAME}/CHANGES.txt ${PREFIX}/share/doc/monit/CHANGES.txt
	@${INSTALL_SCRIPT} -m 644 ${WRKDIR}/${DISTNAME}/LICENSE ${PREFIX}/share/doc/monit/LICENSE
	@${INSTALL_SCRIPT} -m 644 ${WRKDIR}/${DISTNAME}/README ${PREFIX}/share/doc/monit/README
	@${INSTALL_SCRIPT} -m 644 ${WRKDIR}/${DISTNAME}/README.SSL ${PREFIX}/share/doc/monit/README.SSL
	@${INSTALL_SCRIPT} -m 644 ${WRKDIR}/${DISTNAME}/STATUS ${PREFIX}/share/doc/monit/STATUS
	@${INSTALL_SCRIPT} -m 644 ${WRKDIR}/${DISTNAME}/doc/examples.html ${PREFIX}/share/doc/monit/examples.html
	@${INSTALL_SCRIPT} -m 644 ${WRKDIR}/${DISTNAME}/doc/monit.html ${PREFIX}/share/doc/monit/monit.html
	@${CAT} ${PKGMESSAGE}
	@${ECHO_MSG} "	${PREFIX}/etc/monitrc.sample"
	@${ECHO_MSG} "	${PREFIX}/share/doc/monit/examples.html"

.if defined(WITH_SSL)
.include "${PORTSDIR}/Mk/bsd.openssl.mk"
CONFIGURE_ARGS+=	--enable-ssl \
			--with-openssl="${OPENSSLBASE}"
.else
CONFIGURE_ARGS+=	--without-ssl
.endif

.include <bsd.port.post.mk>

=== debian/changelog ===
monit (1:5.16-2) unstable; urgency=medium

  * Fix Hurd patch: use /proc/uptime to get uptime in get_starttime()

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 16 Feb 2016 18:49:22 +0300

monit (1:5.16-1) unstable; urgency=medium

  * Remove unused patch for kfreebsd
  * Fix debian/conf-available/snmpd: /sbin/service -> /etc/init.d/snmpd
  * Imported Upstream version 5.16
  * Refresh patches, drop (applied by upstream) 00_delay.patch
    and 13_unrep_fix.patch

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 04 Feb 2016 17:03:34 +0300

monit (1:5.15-3) unstable; urgency=medium

  * Make build reproducible (Closes: #807159), thanks to Chris Lamb.
  * Disable FTBFS fix attempt (see #807611)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 15 Dec 2015 15:22:29 +0300

monit (1:5.15-2) unstable; urgency=medium

  * Document the start delay option (Closes: #806194)
  * 01_spelling.patch: patch doc/monit.pod instead
  * Rename monitrc.d/ -> conf-available/ (Closes: #791669)
  * Fix (?) kfreebsd.patch
  * Fix spelling errors in the delay.patch too...

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 05 Dec 2015 23:13:24 +0300

monit (1:5.15-1) unstable; urgency=medium

  * Explain why sysvinit was suggested (Closes: #791668)
  * Imported Upstream version 5.15
  * Fix spelling in monit.1

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 26 Oct 2015 20:09:02 +0300

=== debian/control ===
Source: monit
Section: admin
Priority: optional
Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>
Build-Depends: debhelper (>= 9), libssl-dev, libpam-dev, libkvm-dev [kfreebsd-any], dh-autoreconf
Standards-Version: 3.9.6
Homepage: http://mmonit.com/monit/
Vcs-Git: git://anonscm.debian.org/collab-maint/monit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/monit.git;a=summary

Package: monit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-13)
Suggests: exim4 | postfix | mail-transport-agent, sysvinit-core
Description: utility for monitoring and managing daemons or similar programs
 monit is a utility for monitoring and managing daemons or similar
 programs running on a Unix system. It will start specified programs
 if they are not running and restart programs not responding.
 .
 monit supports:
  * Daemon mode - poll programs at a specified interval
  * Monitoring modes - active, passive or manual
  * Start, stop and restart of programs
  * Group and manage groups of programs
  * Process dependency definition
  * Logging to syslog or own logfile
  * Configuration - comprehensive controlfile
  * Runtime and TCP/IP port checking (tcp and udp)
  * SSL support for port checking
  * Unix domain socket checking
  * Process status and process timeout
  * Process cpu usage
  * Process memory usage
  * Process zombie check
  * Check the systems load average
  * Check a file or directory timestamp
  * Alert, stop or restart a process based on its characteristics
  * MD5 checksum for programs started and stopped by monit
  * Alert notification for program timeout, restart, checksum, stop
    resource and timestamp error
  * Flexible and customizable email alert messages
  * Protocol verification. HTTP, FTP, SMTP, POP, IMAP, NNTP, SSH, DWP,
    LDAPv2 and LDAPv3
  * An http interface with optional SSL support to make monit
    accessible from a webbrowser

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--sysconfdir=/etc/monit

override_dh_fixperms:
	dh_fixperms
	chmod 600 debian/monit/etc/monit/monitrc
	chmod 0700 debian/monit/var/lib/monit/events

## monit 5.18

=== debian/changelog ===
monit (1:5.18-1) unstable; urgency=medium

  * Imported Upstream version 5.18
  * Drop 00_timeout_zombies.patch & refresh patches
  * Revert "Fix Hurd patch: use /proc/uptime to get uptime in get_starttime()"
  * More spelling fixes

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 01 Jun 2016 14:19:42 +0300

monit (1:5.17.1-2) unstable; urgency=medium

  * Fix comment in debian/conf-available/rsyslog
  * Change rsyslog config defaults: monitor
    /var/log/syslog (Closes: #818290)
  * Better cleanup (prevent zombies) after timeouts
    trigger (Closes: #818478).  Thanks to Guillem Jover.

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 22 Mar 2016 18:43:13 +0300

monit (1:5.17.1-1) unstable; urgency=medium

  * Imported Upstream version 5.17.1
  * Refresh patches
  * Bump up Standards-Version (to 3.9.7)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 08 Mar 2016 01:49:12 +0300

## monit 5.19.0

=== debian/changelog ===
monit (1:5.19.0-1) unstable; urgency=medium

  * Imported Upstream version 5.19.0
  * Refresh patches

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 08 Aug 2016 17:34:34 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
 Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>
 Build-Depends: debhelper (>= 9), libssl-dev, libpam-dev, libkvm-dev [kfreebsd-any], dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://mmonit.com/monit/
 Vcs-Git: git://anonscm.debian.org/collab-maint/monit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/monit.git;a=summary

## monit 5.20.0

=== libmonit/test/Makefile ===
--- 
+++ 
@@ -259,7 +259,7 @@
 LD = /usr/bin/ld -m elf_x86_64
 LDFLAGS = 
 LIBOBJS = 
-LIBS = -lm -lpthread 
+LIBS = -lm -lpthread -lz 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LIPO = 
 LN_S = ln -s

=== debian/changelog ===
monit (1:5.20.0-6+deb9u1) stretch; urgency=medium

  * Implement position independent CSRF cookie value (Closes: #941895).

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 09 Oct 2019 15:47:31 +0300

monit (1:5.20.0-6) unstable; urgency=medium

  * Fix regression from #849886, test monit.log existence (Closes: #850829)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 11 Jan 2017 16:48:27 +0300

monit (1:5.20.0-5) unstable; urgency=medium

  * Fix VCS URL
  * Cleanup logfile setup, use install (Closes: #849886)
  * Ignore postfix deps for kfreebsd/hurd

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 09 Jan 2017 17:11:09 +0300

monit (1:5.20.0-4) unstable; urgency=medium

  * Fix FTCBFS: 07_cross.patch: Fix build/host confusion (Closes: #844693)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 02 Dec 2016 14:49:23 +0300

monit (1:5.20.0-3) unstable; urgency=medium

  * Change openssl detection (fixes #828439 on i386?)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 14 Nov 2016 12:27:58 +0300

monit (1:5.20.0-2) unstable; urgency=medium

  * Fix FTBFS, add deps on zlib1g-dev (Closes: #843894)
  * Bump up Standards-Version (to 3.9.8)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 10 Nov 2016 17:35:09 +0300

monit (1:5.20.0-1) unstable; urgency=medium

  * Imported Upstream version 5.20.0
  * Refresh patches
  * Add spelling fixes from lintian

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 22 Oct 2016 02:27:54 +0300

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Priority: optional
 Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
 Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>
-Build-Depends: debhelper (>= 9), libssl-dev, libpam-dev, libkvm-dev [kfreebsd-any], dh-autoreconf
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 9), libssl-dev, zlib1g-dev,
+ libpam-dev, libkvm-dev [kfreebsd-any], dh-autoreconf
+Standards-Version: 3.9.8
 Homepage: http://mmonit.com/monit/
 Vcs-Git: git://anonscm.debian.org/collab-maint/monit.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/monit.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/monit.git/
 
 Package: monit
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-13)
-Suggests: exim4 | postfix | mail-transport-agent, sysvinit-core
+Suggests: exim4 | postfix [!kfreebsd-any !hurd-any] | mail-transport-agent,
+ sysvinit-core
 Description: utility for monitoring and managing daemons or similar programs
  monit is a utility for monitoring and managing daemons or similar
  programs running on a Unix system. It will start specified programs
@@ -44,4 +46,3 @@
     LDAPv2 and LDAPv3
   * An http interface with optional SSL support to make monit
     accessible from a webbrowser
-

=== debian/watch ===
version=3
http://mmonit.com/monit/dist/monit-([\d\.]*).tar.gz

## monit 5.23.0

=== libmonit/test/Makefile ===
--- 
+++ 
@@ -342,7 +342,7 @@
 top_srcdir = ..
 AUTOMAKE_OPTIONS = foreign no-dependencies
 LDADD = ../libmonit.la
-AM_CPPFLAGS = -I../src/ -I../src/util -I../src/net -I../src/io -I../src/exceptions -I../src/thread 
+AM_CPPFLAGS = -I../src/ -I../src/util -I../src/net -I../src/io -I../src/exceptions -I../src/statistics -I../src/thread 
 StrTest_SOURCES = StrTest.c
 CommandTest_SOURCES = CommandTest.c
 SystemTest_SOURCES = SystemTest.c
@@ -356,4 +356,3 @@
 NetTest_SOURCES = NetTest.c
 LinkTest_SOURCES = LinkTest.c
 TimeTest_SOURCES = TimeTest.c
-DISTCLEANFILES = *~

=== debian/changelog ===
monit (1:5.23.0-2) unstable; urgency=medium

  * Add libdevstat-dev deps, which hopefully fix kFreeBSD builds
  * Enable hardened build flags

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 08 Jul 2017 13:11:28 +0300

monit (1:5.23.0-1) unstable; urgency=medium

  * Imported Upstream version 5.23.0
  * Refresh patches
  * Bump up Standards-Version (to 4.0.0)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 08 Jul 2017 01:31:47 +0300

monit (1:5.22.0-1) unstable; urgency=medium

  * Imported Upstream version 5.22.0
  * Refresh patches

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 22 Apr 2017 02:08:01 +0300

monit (1:5.21.0-1) unstable; urgency=medium

  * Imported Upstream version 5.21.0
  * Refresh patches, drop 06_ssl.patch (fixed upstream)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 13 Apr 2017 11:42:29 +0300

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
 Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>
 Build-Depends: debhelper (>= 9), libssl-dev, zlib1g-dev,
- libpam-dev, libkvm-dev [kfreebsd-any], dh-autoreconf
-Standards-Version: 3.9.8
+ libpam-dev, libkvm-dev [kfreebsd-any], dh-autoreconf,
+ libdevstat-dev [kfreebsd-any]
+Standards-Version: 4.0.0
 Homepage: http://mmonit.com/monit/
 Vcs-Git: git://anonscm.debian.org/collab-maint/monit.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/monit.git/

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with autoreconf

## monit 5.25.1

=== libmonit/test/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.14.1 from Makefile.am.
+# Makefile.in generated by automake 1.15 from Makefile.am.
 # test/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2013 Free Software Foundation, Inc.
+# Copyright (C) 1994-2014 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -15,7 +15,17 @@
 
 
 
-am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
+am__is_gnu_make = { \
+  if test -z '$(MAKELEVEL)'; then \
+    false; \
+  elif test -n '$(MAKE_HOST)'; then \
+    true; \
+  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
+    true; \
+  else \
+    false; \
+  fi; \
+}
 am__make_running_with_option = \
   case $${target_option-} in \
       ?) ;; \
@@ -76,15 +86,14 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = x86_64-unknown-linux-gnu
-host_triplet = x86_64-unknown-linux-gnu
+build_triplet = x86_64-pc-linux-gnu
+host_triplet = x86_64-pc-linux-gnu
 noinst_PROGRAMS = StrTest$(EXEEXT) SystemTest$(EXEEXT) \
 	ListTest$(EXEEXT) DirTest$(EXEEXT) StringBufferTest$(EXEEXT) \
 	InputStreamTest$(EXEEXT) OutputStreamTest$(EXEEXT) \
 	FileTest$(EXEEXT) ExceptionTest$(EXEEXT) NetTest$(EXEEXT) \
 	LinkTest$(EXEEXT) TimeTest$(EXEEXT) CommandTest$(EXEEXT)
 subdir = test
-DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
 	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
@@ -92,6 +101,7 @@
 	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
+DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
 mkinstalldirs = $(install_sh) -d
 CONFIG_HEADER = $(top_builddir)/src/xconfig.h
 CONFIG_CLEAN_FILES =
@@ -224,14 +234,15 @@
   done | $(am__uniquify_input)`
 ETAGS = etags
 CTAGS = ctags
+am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /tmp/monit/libmonit/config/missing aclocal-1.14
+ACLOCAL = ${SHELL} /tmp/monit/libmonit/config/missing aclocal-1.15
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
 AR = ar
 AUTOCONF = ${SHELL} /tmp/monit/libmonit/config/missing autoconf
 AUTOHEADER = ${SHELL} /tmp/monit/libmonit/config/missing autoheader
-AUTOMAKE = ${SHELL} /tmp/monit/libmonit/config/missing automake-1.14
+AUTOMAKE = ${SHELL} /tmp/monit/libmonit/config/missing automake-1.15
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=none
@@ -264,6 +275,7 @@
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
+LT_SYS_LIBRARY_PATH = 
 MAKEINFO = ${SHELL} /tmp/monit/libmonit/config/missing makeinfo
 MANIFEST_TOOL = :
 MKDIR_P = /bin/mkdir -p
@@ -301,22 +313,22 @@
 am__tar = $${TAR-tar} chof - "$$tardir"
 am__untar = $${TAR-tar} xf -
 bindir = ${exec_prefix}/bin
-build = x86_64-unknown-linux-gnu
+build = x86_64-pc-linux-gnu
 build_alias = 
 build_cpu = x86_64
 build_os = linux-gnu
-build_vendor = unknown
+build_vendor = pc
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = x86_64-unknown-linux-gnu
+host = x86_64-pc-linux-gnu
 host_alias = 
 host_cpu = x86_64
 host_os = linux-gnu
-host_vendor = unknown
+host_vendor = pc
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
@@ -332,6 +344,7 @@
 prefix = /usr/local
 program_transform_name = s,x,x,
 psdir = ${docdir}
+runstatedir = ${localstatedir}/run
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
 srcdir = .
@@ -349,10 +362,3 @@
 ListTest_SOURCES = ListTest.c
 DirTest_SOURCES = DirTest.c
 StringBufferTest_SOURCES = StringBufferTest.c
-InputStreamTest_SOURCES = InputStreamTest.c
-OutputStreamTest_SOURCES = OutputStreamTest.c
-FileTest_SOURCES = FileTest.c
-ExceptionTest_SOURCES = ExceptionTest.c
-NetTest_SOURCES = NetTest.c
-LinkTest_SOURCES = LinkTest.c
-TimeTest_SOURCES = TimeTest.c

=== debian/changelog ===
monit (1:5.25.1-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:51:07 +0000

monit (1:5.25.1-1) unstable; urgency=medium

  * New upstream version 5.25.1
  * Refresh patches
  * Drop inactive uploaders
  * Bump up Standards-Version (to 4.1.1)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 28 Nov 2017 14:02:23 +0300

monit (1:5.23.0-4) unstable; urgency=medium

  * Drop dh-autoreconf deps (redundant for debhelper level 10)
  * Drop quotation marks from arguments of mv_conffile (Closes: #873539)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 29 Aug 2017 18:22:44 +0300

monit (1:5.23.0-3) unstable; urgency=medium

  * Apply patches from Christian Göttsche: switch to debhelper compat level
    10, strip unneeded linked libraries, use https addresses (Closes: #872715)
  * Bump up Standards-Version (to 4.1.0)
  * Detect rxvt as color terminal (Closes: #867669)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 28 Aug 2017 14:57:38 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: monit
 Section: admin
 Priority: optional
-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
-Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>
-Build-Depends: debhelper (>= 9), libssl-dev, zlib1g-dev,
- libpam-dev, libkvm-dev [kfreebsd-any], dh-autoreconf,
- libdevstat-dev [kfreebsd-any]
-Standards-Version: 4.0.0
-Homepage: http://mmonit.com/monit/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
+Build-Depends: debhelper (>= 10), libssl-dev, zlib1g-dev,
+ libpam-dev, libkvm-dev [kfreebsd-any], libdevstat-dev [kfreebsd-any]
+Standards-Version: 4.1.1
+Homepage: https://mmonit.com/monit/
 Vcs-Git: git://anonscm.debian.org/collab-maint/monit.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/monit.git/

## monit 5.25.2

=== debian/changelog ===
monit (1:5.25.2-3ubuntu0.1) disco-security; urgency=medium

  * SECURITY UPDATE: XSS
    - debian/patches/CVE-2019-11454.patch: HTML escape the log file content
      when viewed via Monit GUI
    - CVE-2019-11454
  * SECURITY UPDATE: Buffer over-read
    - debian/patches/CVE-2019-11455.patch: Fixed: buffer overrun vulnerability
      in URL decoding.
    - CVE-2019-11455

 -- Mike Salvatore <mike.salvatore@canonical.com>  Wed, 08 May 2019 08:28:59 -0400

monit (1:5.25.2-3) unstable; urgency=medium

  * Spelling fixes in manpage
  * Bump up Standards-Version (to 4.3.0)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sun, 17 Feb 2019 13:56:09 +0300

monit (1:5.25.2-2) unstable; urgency=medium

  * Fix postfix master binary path in a template (Closes: #913097) Thanks to
    Joseph Nahmias.
  * Bump up Standards-Version (to 4.2.1)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 21 Dec 2018 11:32:54 +0300

monit (1:5.25.2-1) unstable; urgency=medium

  * Update Vcs-* fields for salsa.
  * New upstream version 5.25.2
  * Bump up Standards-Version (to 4.1.4)
  * Refresh patches
  * Add default-mta to suggests, remove exim4
  * Don't check for DSA keys (not created by default). Closes: #877633.

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 01 Jun 2018 11:28:44 +0300

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 XSBC-Original-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
 Build-Depends: debhelper (>= 10), libssl-dev, zlib1g-dev,
  libpam-dev, libkvm-dev [kfreebsd-any], libdevstat-dev [kfreebsd-any]
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Homepage: https://mmonit.com/monit/
-Vcs-Git: git://anonscm.debian.org/collab-maint/monit.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/monit.git/
+Vcs-Git: https://salsa.debian.org/sk-guest/monit.git
+Vcs-Browser: https://salsa.debian.org/sk-guest/monit
 
 Package: monit
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-13)
-Suggests: exim4 | postfix [!kfreebsd-any !hurd-any] | mail-transport-agent,
+Suggests: default-mta | postfix [!kfreebsd-any !hurd-any] | mail-transport-agent,
  sysvinit-core
 Description: utility for monitoring and managing daemons or similar programs
  monit is a utility for monitoring and managing daemons or similar

## monit 5.26.0

=== libmonit/test/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.15 from Makefile.am.
+# Makefile.in generated by automake 1.15.1 from Makefile.am.
 # test/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2014 Free Software Foundation, Inc.
+# Copyright (C) 1994-2017 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -88,11 +88,12 @@
 POST_UNINSTALL = :
 build_triplet = x86_64-pc-linux-gnu
 host_triplet = x86_64-pc-linux-gnu
-noinst_PROGRAMS = StrTest$(EXEEXT) SystemTest$(EXEEXT) \
-	ListTest$(EXEEXT) DirTest$(EXEEXT) StringBufferTest$(EXEEXT) \
-	InputStreamTest$(EXEEXT) OutputStreamTest$(EXEEXT) \
-	FileTest$(EXEEXT) ExceptionTest$(EXEEXT) NetTest$(EXEEXT) \
-	LinkTest$(EXEEXT) TimeTest$(EXEEXT) CommandTest$(EXEEXT)
+noinst_PROGRAMS = StrTest$(EXEEXT) FmtTest$(EXEEXT) \
+	SystemTest$(EXEEXT) ListTest$(EXEEXT) DirTest$(EXEEXT) \
+	StringBufferTest$(EXEEXT) InputStreamTest$(EXEEXT) \
+	OutputStreamTest$(EXEEXT) FileTest$(EXEEXT) \
+	ExceptionTest$(EXEEXT) NetTest$(EXEEXT) LinkTest$(EXEEXT) \
+	TimeTest$(EXEEXT) CommandTest$(EXEEXT)
 subdir = test
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
@@ -127,6 +128,10 @@
 FileTest_OBJECTS = $(am_FileTest_OBJECTS)
 FileTest_LDADD = $(LDADD)
 FileTest_DEPENDENCIES = ../libmonit.la
+am_FmtTest_OBJECTS = FmtTest.$(OBJEXT)
+FmtTest_OBJECTS = $(am_FmtTest_OBJECTS)
+FmtTest_LDADD = $(LDADD)
+FmtTest_DEPENDENCIES = ../libmonit.la
 am_InputStreamTest_OBJECTS = InputStreamTest.$(OBJEXT)
 InputStreamTest_OBJECTS = $(am_InputStreamTest_OBJECTS)
 InputStreamTest_LDADD = $(LDADD)
@@ -198,15 +203,15 @@
 am__v_CCLD_1 = 
 SOURCES = $(CommandTest_SOURCES) $(DirTest_SOURCES) \
 	$(ExceptionTest_SOURCES) $(FileTest_SOURCES) \
-	$(InputStreamTest_SOURCES) $(LinkTest_SOURCES) \
-	$(ListTest_SOURCES) $(NetTest_SOURCES) \
+	$(FmtTest_SOURCES) $(InputStreamTest_SOURCES) \
+	$(LinkTest_SOURCES) $(ListTest_SOURCES) $(NetTest_SOURCES) \
 	$(OutputStreamTest_SOURCES) $(StrTest_SOURCES) \
 	$(StringBufferTest_SOURCES) $(SystemTest_SOURCES) \
 	$(TimeTest_SOURCES)
 DIST_SOURCES = $(CommandTest_SOURCES) $(DirTest_SOURCES) \
 	$(ExceptionTest_SOURCES) $(FileTest_SOURCES) \
-	$(InputStreamTest_SOURCES) $(LinkTest_SOURCES) \
-	$(ListTest_SOURCES) $(NetTest_SOURCES) \
+	$(FmtTest_SOURCES) $(InputStreamTest_SOURCES) \
+	$(LinkTest_SOURCES) $(ListTest_SOURCES) $(NetTest_SOURCES) \
 	$(OutputStreamTest_SOURCES) $(StrTest_SOURCES) \
 	$(StringBufferTest_SOURCES) $(SystemTest_SOURCES) \
 	$(TimeTest_SOURCES)
@@ -357,8 +362,3 @@
 LDADD = ../libmonit.la
 AM_CPPFLAGS = -I../src/ -I../src/util -I../src/net -I../src/io -I../src/exceptions -I../src/statistics -I../src/thread 
 StrTest_SOURCES = StrTest.c
-CommandTest_SOURCES = CommandTest.c
-SystemTest_SOURCES = SystemTest.c
-ListTest_SOURCES = ListTest.c
-DirTest_SOURCES = DirTest.c
-StringBufferTest_SOURCES = StringBufferTest.c

=== debian/changelog ===
monit (1:5.26.0-4) unstable; urgency=medium

  * Bump up Standards-Version (to 4.5.0)
  * Fix FTBFS for Hurd
  * Add lintian override for missing-systemd-service-for-init.d-script

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 05 Feb 2020 17:54:14 +0300

monit (1:5.26.0-3) unstable; urgency=medium

  * Trigger new release to fix binary upload.

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 12 Dec 2019 23:01:49 +0300

monit (1:5.26.0-2) unstable; urgency=medium

  * Clean trailing spaces in old changelog entries
  * Use https in copyright urls
  * Add debian/gbp.conf
  * Add missing sshd_dsa_key definition.  Closes: #932778, thanks
    to Joseph Nahmias.
  * Bump up Standards-Version (to 4.4.1)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 11 Oct 2019 01:47:33 +0300

monit (1:5.26.0-1) unstable; urgency=medium

  * New upstream version 5.26.0
  * Refresh patches

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sun, 07 Jul 2019 08:57:16 +0300

monit (1:5.25.3-1) unstable; urgency=medium

  * New upstream version 5.25.3.  Closes: #927775 (CVE-2019-11454
    and CVE-2019-11455).
  * Refresh patches

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 04 Jun 2019 00:35:25 +0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: monit
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
+Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
 Build-Depends: debhelper (>= 10), libssl-dev, zlib1g-dev,
  libpam-dev, libkvm-dev [kfreebsd-any], libdevstat-dev [kfreebsd-any]
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://mmonit.com/monit/
 Vcs-Git: https://salsa.debian.org/sk-guest/monit.git
 Vcs-Browser: https://salsa.debian.org/sk-guest/monit

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/monit

override_dh_fixperms:
	dh_fixperms
	chmod 600 debian/monit/etc/monit/monitrc
	chmod 0700 debian/monit/var/lib/monit/events

override_dh_missing:
	dh_missing --fail-missing
